org.apache.cassandra.cql3.statements

## Class IndexTarget.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.statements.IndexTarget.Raw

Enclosing class:
  IndexTarget

    public static class IndexTarget.Raw
    extends java.lang.Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IndexTarget.Raw` `fullCollection(ColumnIdentifier.Raw c)`
`static IndexTarget.Raw` `keysAndValuesOf(ColumnIdentifier.Raw c)`
`static IndexTarget.Raw` `keysOf(ColumnIdentifier.Raw c)`
`IndexTarget` `prepare(CFMetaData cfm)`
`static IndexTarget.Raw` `valuesOf(ColumnIdentifier.Raw c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### valuesOf

    public static IndexTarget.Raw valuesOf(ColumnIdentifier.Raw c)

#### keysOf

    public static IndexTarget.Raw keysOf(ColumnIdentifier.Raw c)

#### keysAndValuesOf

    public static IndexTarget.Raw keysAndValuesOf(ColumnIdentifier.Raw c)

#### fullCollection

    public static IndexTarget.Raw fullCollection(ColumnIdentifier.Raw c)

#### prepare

    public IndexTarget prepare(CFMetaData cfm)